
// ************************
// PIX
// ************************

function pixGenerator(id_fin){
  $('#qrcode').html('');
  $('#qrcode_txt').val('');
  $('#qr_loading').css('display', '');
  $('#qr_loaded').css('display', 'none');
  $("#modal_pix_qrcode").modal("show");
  $.ajax({
    url: 'scripts/ajax/scripts_ajax.php',
    type: 'POST', cache: false,
    data: {
      acao: "pix_generator",
      id_registro: id_fin
    },
    success : function(r){
      if(r!=''){ json = $.parseJSON(r)
        if(json['resultado']=="ok"){
          $('#qrcode').qrcode({width: 300,height: 300,text: json['fullcode']});
          $('#qrcode_txt').val(json['fullcode']);
          $('#link_txt').val(json['link_ext']);
          $('#qr_loading').css('display', 'none');
          $('#qr_loaded').css('display', '');
        }
      }
    }
  });
}